// Copyright (C) 1991-2011 Altera Corporation
// Your use of Altera Corporation's design tools, logic functions
// and other software and tools, and its AMPP partner logic
// functions, and any output files from any of the foregoing
// (including device programming or simulation files), and any
// associated documentation or information are expressly subject
// to the terms and conditions of the Altera Program License
// Subscription Agreement, Altera MegaCore Function License
// Agreement, or other applicable license agreement, including,
// without limitation, that your use is for the sole purpose of
// programming logic devices manufactured by Altera and sold by
// Altera or its authorized distributors.  Please refer to the
// applicable agreement for further details.

// *****************************************************************************
// This file contains a Verilog test bench template that is freely editable to
// suit user's needs .Comments are provided in each section to help the user
// fill out necessary details.
// *****************************************************************************
// Generated on "01/11/2012 15:47:00"

// Verilog Test Bench template for design : ad7689_model
//
// Simulation tool : ModelSim-Altera (Verilog)
//

`timescale 1 ns/ 100 ps
`include "ad7689_model.v"
module ad7689_model_testbench();
// constants
// general purpose registers
// test vector input registers
reg cnv_i;
reg din_i;
reg sck_i;
// wires
wire sdo;

// assign statements (if any)
ad7689_model i1 (
    // port map - connection between master ports and signals/registers
	.cnv_i(cnv_i),
	.din_i(din_i),
	.sck_i(sck_i),
	.sdo_o(sdo)
);
initial
begin
    cnv_i   = 0;
    din_i   = 0;
    sck_i   = 1;
#40 
    cnv_i   = 1;
#20  
    cs_n_i = 0;
#20
    repeat (32)
    begin
        #10   
            sck_i = ~sck_i;
    end

#20 
    cs_n_i = 1;

#840
    cs_n_i = 0;
#20
    repeat (32)
    begin
        #10   
            sck_i = ~sck_i;
    end
    cnv_i   =   0;
#20 
    cs_n_i = 1;
    cnv_i   = 1;
#20  
    cs_n_i = 0;
#20
    repeat (32)
    begin
        #10   
            sck_i = ~sck_i;
    end
    #20 
        cs_n_i = 1;

#840
    cs_n_i = 0;
#20
    repeat (32)
    begin
        #10   
            sck_i = ~sck_i;
    end
#20 
    cs_n_i = 1;
    $display("Running testbench");
end


endmodule

