

#ifndef __AD7699_REGS_H__
#define __AD7699_REGS_H__

#include <io.h>

/* all registers are 32 bits wide .*/

#define IOADDR_AD7699_CONTROL(base)           __IO_CALC_ADDRESS_NATIVE(base, 0)
#define IORD_AD7699_CONTROL(base)             IORD(base, 0)
#define IOWR_AD7699_CONTROL(base, data)       IOWR(base, 0, data)

#define IOADDR_AD7699_ACQ_COUNT(base)         __IO_CALC_ADDRESS_NATIVE(base, 1)
#define IORD_AD7699_ACQ_COUNT(base)           IORD(base, 1)
#define IOWR_AD7699_ACQ_COUNT(base, data)     IOWR(base, 1, data)

#define IOADDR_AD7699_BASE(base)              __IO_CALC_ADDRESS_NATIVE(base, 2)
#define IORD_AD7699_BASE(base)                IORD(base, 2)
#define IOWR_AD7699_BASE(base, data)          IOWR(base, 2, data)

#define IOADDR_AD7699_STATUS(base)            __IO_CALC_ADDRESS_NATIVE(base, 3)
#define IORD_AD7699_STATUS(base)              IORD(base, 3)
#define IOWR_AD7699_STATUS(base, data)        IOWR(base, 3, data)

#define IOADDR_AD7699_DUT(base)        __IO_CALC_ADDRESS_NATIVE(base, 4)
#define IORD_AD7699_DUT(base)          IORD(base, 4)
#define IOWR_AD7699_DUT(base, data)    IOWR(base, 4, data)

#endif /* __AD7699_REGS_H__ */
